org.apache.ignite.internal.processors.cluster

## Class HttpIgniteUpdatesChecker

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.HttpIgniteUpdatesChecker

    public class HttpIgniteUpdatesChecker
    extends Object

This class is responsible for getting Ignite updates information via HTTP

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getUpdates(boolean first)` Gets information about Ignite updates via HTTP

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUpdates

    public String getUpdates(boolean first)
                      throws IOException

Gets information about Ignite updates via HTTP

Returns:
  Information about Ignite updates separated by line endings
Throws:
  `IOException` - If HTTP request was failed

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022